import request from "@/utils/request"

// 职位详情
export const getPositionDetails = (params) => {
  return request({
    url: '/app-api/menduner/system/recruit/job-advertised/detail',
    method: 'GET',
    params,
    custom: {
      openEncryption: true,
      showLoading: false,
      auth: false
    }
  })
}

// 根据id查询分享的职位id与推荐人id
export const getShareDetail = (params) => {
  return request({
    url: '/app-api/menduner/system/job/advertised/get/share',
    method: 'GET',
    params,
    custom: {
      showLoading: false,
      auth: false
    }
  })
}

// 获取企业发布职位类型权限
export const getEnterprisePubJobTypePermission = () => {
  return request({
    url: '/app-api/menduner/system/recruit/enterprise/get/pub-job-type-perm',
    method: 'GET',
    custom: {
      showLoading: false,
      auth: true
    }
  })
}
